import request from '@/utils/request'

// 查询政府网站列表
export function listZcdwpm(query) {
  return request({
    url: '/tcZz/networkSecurity/zcdwpm/list',
    method: 'get',
    params: query
  })
}

// 查询政府网站详细
export function getZcdwpm(id) {
  return request({
    url: '/tcZz/networkSecurity/zcdwpm/' + id,
    method: 'get'
  })
}

// 新增政府网站
export function addZcdwpm(data) {
  return request({
    url: '/tcZz/networkSecurity/zcdwpm',
    method: 'post',
    data: data
  })
}

// 修改政府网站
export function updateZcdwpm(data) {
  return request({
    url: '/tcZz/networkSecurity/zcdwpm',
    method: 'put',
    data: data
  })
}

// 删除政府网站
export function delZcdwpm(id) {
  return request({
    url: '/tcZz/networkSecurity/zcdwpm/' + id,
    method: 'delete'
  })
}
//批量启用禁用
// export function isStatusZcdwpm(params) {
//   return request({
//     url: '/tcZz/networkSecurity/zcdwpm/isStatus',
//     method: 'get',
//     params
//   })
// }
//通用导入信息
export function importZcdwpm(data) {
  return request({
    url: '/tcZz/networkSecurity/zcdwpm/common/importExcel',
    method: 'post',
    data
  })
}
